#pragma once
#include <string>
#include <vector>
#include <cstdint>

#define CLR_RESET   "\x1b[0m"
#define CLR_BOLD    "\x1b[1m"
#define CLR_RED     "\x1b[31m"
#define CLR_GREEN   "\x1b[32m"
#define CLR_YELLOW  "\x1b[33m"
#define CLR_BLUE    "\x1b[34m"
#define CLR_MAGENTA "\x1b[35m"
#define CLR_CYAN    "\x1b[36m"
#define CLR_WHITE   "\x1b[37m"

struct AppConfig {
    std::string nickname = "noname";

    std::vector<unsigned char> key;

    bool webServerRunning = false;
    bool soundExchangeActive = false;


    uint8_t ephemeralSec[32];
    uint8_t ephemeralPub[32];

    uint8_t sharedSecret[32];
    bool haveSharedSecret = false;
};
